%define anolis_release 1

%bcond_without bootstrap

Name:           maven-verifier
Version:        1.7.2
Release:        %{anolis_release}%{?dist}
Summary:        Apache Maven Verifier Component
License:        ASL 2.0
URL:            https://maven.apache.org/shared/maven-verifier
BuildArch:      noarch
ExclusiveArch:  %{java_arches} noarch

Source0:        https://repo1.maven.org/maven2/org/apache/maven/shared/%{name}/%{version}/%{name}-%{version}-source-release.zip

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.maven.shared:maven-shared-components:pom:)
BuildRequires:  mvn(org.apache.maven.shared:maven-shared-utils)
%endif

%description
Provides a test harness for Maven integration tests.

%package javadoc
Summary:        Javadoc for %{name}
    
%description javadoc
API documentation for %{name}.

%prep
%setup -q

# This test attempts to write outside the build directory
rm src/test/java/org/apache/maven/it/ForkedLauncherTest.java

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE

%changelog
* Mon May 15 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.7.2-1
- Init upstream from version 1.7.2
